GEN_PACKETS(1)

NAME
gen_packets - Generate audio file for AX.25 frames.

SYNOPSIS
gen_packets -o wav-file-out [ options ] [ text-file | - ]

    wav-file-out is the result. The -o option is required.

    text-file may contain AX.25 packets in the standard monitoring format. Use "-" to read from stdin. If not specified, a default builtin message will be used.

DESCRIPTION
gen_packets is a test application which converts text to AX.25 audio for testing packet decoders.

It is very flexible allowing a wide range of audio sample rates, data speeds, and AFSK tones. It will even generate the scrambled signals commonly used for 9600 baud operation.

OPTIONS

-a n
    Signal amplitude in range of 0-200%. Default 50. Note that 100% is corresponds to signal peaks of +/- 16383 so we have plenty of headroom to avoid saturation.

-b n
    Bits / second for data. Default is 1200.

-B n
    Data rate in bits/sec for first channel. Standard values are 300, 1200, 2400, 4800, 9600.
        300 bps defaults to AFSK tones of 1600 & 1800.
        1200 bps uses AFSK tones of 1200 & 2200.
        2400 bps uses QPSK based on V.26 standard.
        4800 bps uses 8PSK based on V.27 standard.
        9600 bps and up uses K9NG/G3RUH standard.
        EAS for Emergency Alert System (EAS) Specific Area Message Encoding (SAME).

-g  Force G3RUH modem regardless of data rate.

-j  2400 bps QPSK compatible with Dire Wolf <= 1.5.

-J  2400 bps QPSK compatible with MFJ-2400.

-X n
    1 to enable FX.25 transmit. 16, 32, 64 for specific number of check bytes.

-I n
    Enable IL2P transmit. n=1 is recommended. 0 uses weaker FEC.

-i n
    Enable IL2P transmit, inverted polarity. n=1 is recommended. 0 uses weaker FEC.

-m n
    Mark frequency. Default is 1200.

-s n
    Space frequency. Default is 2200.

-r n
    Audio sample Rate. Default is 44100.

-n n
    Generate specified number of frames with increasing noise. (For built-in message only.)

-o file
    Send output to .wav file.

-8  8 bit audio rather than 16.

-2  2 channels of audio rather than 1.

-vmax[,incr]
    Variable speed with specified maximum error and optional increment.

EXAMPLES

gen_packets -o x.wav

    With all defaults, a built-in test message is generated with standard Bell 202 tones used for packet radio on ordinary VHF FM transceivers.

gen_packets -o x.wav -g -b 9600
gen_packets -o x.wav -B 9600

    Both of these are equivalent. "-B 9600" automatically selects scrambled baseband rather than AFSK.

gen_packets -o x.wav -m 1600 -s 1800 -b 300
gen_packets -o x.wav -B 300

    Both of these generate 200 Hz shift, 300 baud, suitable for HF SSB transceiver.

echo -n 'WB2OSZ>WORLD:Hello, world!' | gen_packets -a 25 -o x.wav -
atest x.wav

    Read message from stdin and put quarter volume sound into the file x.wav. Decode the sound file.

SEE ALSO
More detailed information is in the PDF files at https://github.com/wb2osz/direwolf/tree/master/doc/.

Applications in this package: aclients, atest, cm108, decode_aprs, direwolf, gen_packets, kissutil, ll2utm, log2gpx, text2tt, tt2text, utm2ll